unit testb;

interface

implementation

procedure a;
begin
        if (ia2[index2].tokentype <= MAX_TERMINAL) then begin
              if diffres <> ES_COMBINED then begin
                if diffres = ES_MATCH then
                  diffres := ES_INSERT
                else if diffres <> ES_INSERT then
                  diffres := ES_COMBINED;
              end;
              colorStrips1.add(Length(S1)+1,Length(ia2[index2].value),COLOR_INSERT,pdefhighlight.tc,Integer(pdefhighlight.style));
              colorStrips2.add(Length(S2)+1,Length(ia2[index2].value),COLOR_INSERT,phighlight2.tc,Integer(phighlight2.style));
//              colorStrips1.add(Length(S1)+1,Length(ia2[index2].value),COLOR_INSERT,TCOLOR_INSERT);
//              colorStrips2.add(Length(S2)+1,Length(ia2[index2].value),COLOR_INSERT,TCOLOR_INSERT);
              S1 := S1 + dupestring(' ',Length(ia2[index2].value));
              S2 := S2 + ia2[index2].value;
          end;

          index2 := index2 + 1;

end;
end.